function c = runge_lstsq(m,n)
  if (n+1)>m
    error('Error: it must hold m>=n+1');
  end
  
  a = -5;
  b = 5;
  x = linspace(a, b, m)';
  
  f = @(x)(1./(1. + x.^2));
  b = f(x);
  A = zeros(m,n+1);

  for i=1:n+1
    A(:,i) = x.^(i-1);
  end

  % Compute the QR-decomposition of A
  [Q,R] = qr(A);
  
  % Find the best approximation x
  d = Q'*b;
  R0 = R(1:n+1,1:n+1);
  d0 = d(1:n+1,1);
  c = R0\d0;
  
return;
  
